
package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "crm_yx_incoming_log")
public class CrmYxIncomingLog {

    private String id;

    private String entryId;

    private String partnersContractNumber;

    private String type;

    private String remarks;

    private String createBy;

    private String createName;

    private Date createTime;

    private String projectStatus;

    private String farmerSignStatus;

    private String farmerSignDetailsStatus;

    private String reason;


    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public String getFarmerSignStatus() {
        return farmerSignStatus;
    }

    public void setFarmerSignStatus(String farmerSignStatus) {
        this.farmerSignStatus = farmerSignStatus;
    }

    public String getFarmerSignDetailsStatus() {
        return farmerSignDetailsStatus;
    }

    public void setFarmerSignDetailsStatus(String farmerSignDetailsStatus) {
        this.farmerSignDetailsStatus = farmerSignDetailsStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getPartnersContractNumber() {
        return partnersContractNumber;
    }

    public void setPartnersContractNumber(String partnersContractNumber) {
        this.partnersContractNumber = partnersContractNumber;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
